package com.ruoyi.traceability.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 机台日志对象 pro_logrecord
 * 
 * @author wenjy
 * @date 2022-12-01
 */
public class ProLogrecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long id;

    /** 资源号 */
    @Excel(name = "资源号")
    private String resource;

    /** 位置编号 */
    @Excel(name = "位置编号")
    private Long positionId;

    /** 日志内容 */
    @Excel(name = "日志内容")
    private String message;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date recordTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setResource(String resource) 
    {
        this.resource = resource;
    }

    public String getResource() 
    {
        return resource;
    }
    public void setPositionId(Long positionId) 
    {
        this.positionId = positionId;
    }

    public Long getPositionId() 
    {
        return positionId;
    }
    public void setMessage(String message) 
    {
        this.message = message;
    }

    public String getMessage() 
    {
        return message;
    }
    public void setRecordTime(Date recordTime) 
    {
        this.recordTime = recordTime;
    }

    public Date getRecordTime() 
    {
        return recordTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("resource", getResource())
            .append("positionId", getPositionId())
            .append("message", getMessage())
            .append("recordTime", getRecordTime())
            .toString();
    }
}
